org.apache.tinkerpop.gremlin.process.traversal

## Enum Pop

- java.lang.Object
- - java.lang.Enum<Pop>
  - - org.apache.tinkerpop.gremlin.process.traversal.Pop

- All Implemented Interfaces:
    Serializable, Comparable<Pop>

      public enum Pop
      extends Enum<Pop>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `all` Get all the items and return them as a list
    `first` The first item in an ordered collection (i.e.
    `last` The last item in an ordered collection (i.e.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pop` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Pop[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### first

          public static final Pop first

      The first item in an ordered collection (i.e. `collection[0]`)

    - #### last

          public static final Pop last

      The last item in an ordered collection (i.e. `collection[collection.size()-1]`)

    - #### all

          public static final Pop all

      Get all the items and return them as a list

  - ### Method Detail

    - #### values

          public static Pop[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Pop c : Pop.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Pop valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.